<template>
  <mt-list-item :row-class="resolveTypeActivite(activite, 'mt-list-item-no-table').class">
    <nuxt-link :to="profilLink({ name: 'activites-id', params: { id: activite.id } })">
      <div class="columns is-mobile">
        <div class="column is-8">
          <mt-date-range-short
            class="is-uppercase has-text-weight-bold"
            :start="activite.dateDebut"
            :end="activite.end"
          />
          <div class="is-size-7 has-text-grey">
            {{ activite.nom }}
          </div>
        </div>
        <div class="subscribed column">
          <div>
            <mt-users-subscribed
              class="has-text-grey is-size-7"
              style="text-align: end;"
              :total-subscribed="activite.usersSubscribed ? activite.usersSubscribed.length : 0"
            />
            <mt-progress-activity :activity="activite" />
          </div>
        </div>
      </div>
    </nuxt-link>
  </mt-list-item>
</template>

<script>
import { classResolver } from '~/components/mixins/activityMixin';
import MtListItem from '~/components/base/list/list-item';
import MtDateRangeShort from '~/components/activity/date-range-short';
import MtUsersSubscribed from '~/components/activity/users-subscribed-activity';
import MtProgressActivity from '~/components/activity/progress-users-activity';

export default {
  name: 'MtListItemActivity',
  // @Todo reprendre une fois que les reponses du back auront changé
  components: {
    MtListItem,
    MtDateRangeShort,
    MtUsersSubscribed,
    MtProgressActivity,
  },
  mixins: [classResolver],
  props: {
    activite: {
      type: Object,
      default: () => ({}),
    },
  },
};
</script>

<style scoped lang="scss">
a {
  display: block;
}
.subscribed {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  div:first-child {
    flex-grow: 1;
  }
}
/deep/ {
  .progress {
    height: 0.4rem;
    margin-top: 3px;
  }
}
</style>
